LegacyAICommandsClientImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.agent.client.LegacyAICommandsClientImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.agent.client
Class LegacyAICommandsClientImpl

    java.lang.Object
      org.hyperic.hq.autoinventory.agent.client.LegacyAICommandsClientImpl

All Implemented Interfaces:
  AICommandsClient

    public class LegacyAICommandsClientImpl

extends java.lang.Object
implements AICommandsClient

The AI Commands client that uses the legacy transport.

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`LegacyAICommandsClientImpl(SecureAgentConnection agentConn)` Creates a new AICommandsClient object which should communicate through the passed connection object.

Method Summary
`ScanStateCore` | `getScanStatus()`
`void` | `pushRuntimeDiscoveryConfig(int type, int id, java.lang.String typeName, java.lang.String name, ConfigResponse response)`
`void` | `startScan(ScanConfigurationCore scanConfig)`
`void` | `stopScan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### LegacyAICommandsClientImpl

    public LegacyAICommandsClientImpl(SecureAgentConnection agentConn)

  Creates a new AICommandsClient object which should communicate through the passed connection object.

  Parameters:
    `agentConn` - Connection this object should use when sending commands.

Method Detail

### startScan

    public void startScan(ScanConfigurationCore scanConfig)
                   throws AgentRemoteException,
                          AgentConnectionException,
                          AutoinventoryException

  Specified by:
    `startScan` in interface `AICommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
    `AutoinventoryException`
  See Also:
    `AICommandsClient.startScan(org.hyperic.hq.autoinventory.ScanConfigurationCore)`

### stopScan

    public void stopScan()
                  throws AgentRemoteException,
                         AgentConnectionException

  Specified by:
    `stopScan` in interface `AICommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
  See Also:
    `AICommandsClient.stopScan()`

### getScanStatus

    public ScanStateCore getScanStatus()
                                throws AgentRemoteException,
                                       AgentConnectionException,
                                       AutoinventoryException

  Specified by:
    `getScanStatus` in interface `AICommandsClient`
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
    `AutoinventoryException`
  See Also:
    `AICommandsClient.getScanStatus()`

### pushRuntimeDiscoveryConfig

    public void pushRuntimeDiscoveryConfig(int type,
                                           int id,
                                           java.lang.String typeName,
                                           java.lang.String name,
                                           ConfigResponse response)

  Specified by:
    `pushRuntimeDiscoveryConfig` in interface `AICommandsClient`
  See Also:
    `AICommandsClient.pushRuntimeDiscoveryConfig(int, int, java.lang.String, java.lang.String, org.hyperic.util.config.ConfigResponse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.